GNU bug report logs - #13329
24.2 post patch for #9521; Rmail forward does not correctly handle MIME messages containing "From " lines

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: mdl@HIDDEN; Keywords: moreinfo; Done: Eli Zaretskii <eliz@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 13329-done <at> debbugs.gnu.org:


Received: (at 13329-done) by debbugs.gnu.org; 10 Jun 2022 11:28:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 10 07:28:53 2022
Received: from localhost ([127.0.0.1]:49083 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nzcou-0001uz-Ui
	for submit <at> debbugs.gnu.org; Fri, 10 Jun 2022 07:28:53 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47060)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nzcop-0001uj-Sw
 for 13329-done <at> debbugs.gnu.org; Fri, 10 Jun 2022 07:28:51 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40328)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nzcoc-0002Gm-2a; Fri, 10 Jun 2022 07:28:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=Hhwfevxr5cgOmjlUG6Rkekl/lVQafTBCYjrOHEXQNX0=; b=mfe7pHCO7iBa
 iqTYvBVHNwBi5EuDDy43dcV3d+SP6/rn1CKUqkSfDuV4gATmtH2DOaXnlRWjdbblmc8YmtBfTvLmL
 DlEPFFJCP38Ct5YAfMrMjF2jX290lnrf472OTXNkI9NtpTMaVUhrtfc2KMQKJd8jDEJRBChFXSd+P
 O2EOvVmAe5QeTC8T06HfmGY1Ho6Ak2u83RlncGifllOEf7WuNLF6anFpzuYjFHn12XpBo0UZVqil0
 Ly8LKo+xHtbi49qxV9VoIc0we3O+1nPeWOK+108DgGKuX424YyTKlrUd4vsoGhav6/mSIUSjcfNPL
 8NfpnQdhxlN6rFJgWSumhg==;
Received: from [87.69.77.57] (port=4549 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nzcoC-0005mh-35; Fri, 10 Jun 2022 07:28:30 -0400
Date: Fri, 10 Jun 2022 14:28:06 +0300
Message-Id: <83sfoczrjt.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87r13wu6gx.fsf@HIDDEN> (message from Lars Ingebrigtsen on Fri, 
 10 Jun 2022 13:02:22 +0200)
Subject: Re: bug#13329: 24.2 post patch for #9521; Rmail forward does not
 correctly handle MIME messages containing "From " lines
References: <83tu8szstn.fsf@HIDDEN> <87r13wu6gx.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 13329-done
Cc: mdl@HIDDEN, 13329-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: mdl@HIDDEN,  13329 <at> debbugs.gnu.org
> Date: Fri, 10 Jun 2022 13:02:22 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Here is your message, forwarded as MIME by Rmail (I just edited the
> > Subject, to avoid creating a new bug report).  Did you receive it
> > OK?
> 
> Yup; looks fine.

Then I guess this problem no longer exists, and we can close this bug;
done.




Notification sent to mdl@HIDDEN:
bug acknowledged by developer. Full text available.
Reply sent to Eli Zaretskii <eliz@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 13329 <at> debbugs.gnu.org:


Received: (at 13329) by debbugs.gnu.org; 10 Jun 2022 11:02:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 10 07:02:35 2022
Received: from localhost ([127.0.0.1]:48988 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nzcPS-0001E7-S6
	for submit <at> debbugs.gnu.org; Fri, 10 Jun 2022 07:02:35 -0400
Received: from quimby.gnus.org ([95.216.78.240]:33260)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nzcPR-0001Dr-IO
 for 13329 <at> debbugs.gnu.org; Fri, 10 Jun 2022 07:02:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=/huinMsmEuFv9HwzXKEVdBZrA1JctJLjHAHsdlLR8hw=; b=DSrIZ8c9TNvqHCcBszbU9IppoZ
 P/K4S8akQcL+aQGkmmAfMYA3bzA7Ugypjpwo7C+6yt/xHxv5XzJYanShsqPWGwgXLmrg1PglMt9Sk
 KmJoggQiwsX6IQyZ7QGxp0bw9Q0FzLM0uETLuh72Xx8MBWIxDNSGD8nveRjXvor+ziQQ=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nzcPH-0007rp-3x; Fri, 10 Jun 2022 13:02:25 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#13329: 24.2 post patch for #9521; Rmail forward does not
 correctly handle MIME messages containing "From " lines
References: <83tu8szstn.fsf@HIDDEN>
X-Now-Playing: Arthur Russell's _Sketches For World Of Echo (June 25 1984
 Live At Ei)_: "Sunlit Water (Live 6-24-84)"
Date: Fri, 10 Jun 2022 13:02:22 +0200
In-Reply-To: <83tu8szstn.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 10 Jun
 2022 14:00:36 +0300")
Message-ID: <87r13wu6gx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > Here is your message, 
 forwarded as MIME by Rmail (I just edited the > Subject, to avoid creating
 a new bug report). Did you receive it > OK? Yup; looks fine. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 13329
Cc: mdl@HIDDEN, 13329 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> Here is your message, forwarded as MIME by Rmail (I just edited the
> Subject, to avoid creating a new bug report).  Did you receive it
> OK?

Yup; looks fine.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13329; Package emacs. Full text available.

Message received at 13329 <at> debbugs.gnu.org:


Received: (at 13329) by debbugs.gnu.org; 10 Jun 2022 11:00:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 10 07:00:45 2022
Received: from localhost ([127.0.0.1]:48978 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nzcNh-0001Au-Ju
	for submit <at> debbugs.gnu.org; Fri, 10 Jun 2022 07:00:45 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34312)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nzcNg-0001Ah-93
 for 13329 <at> debbugs.gnu.org; Fri, 10 Jun 2022 07:00:44 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37016)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nzcNa-0002gL-JP; Fri, 10 Jun 2022 07:00:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Subject:To:From:Date:in-reply-to:
 references; bh=ts3zImhxCnZkmOGUn3iO+B9PC0qBF3o5W3owZK+gkoc=; b=UD8NzDc0vEVff7
 eY1EaovrpUda1YYRoR4bZWiDJb8kKaR2MhevFIInYwsnrUUwvtldO3juHukR7yfrIKMWudPQGUifS
 9AQjNy1nBgkWHoEx5Or48Nq09L/dEqu1XUULS7vVEfakMZY9gWBhZsAgoZXfWGr33MtY7SDsdTqvk
 i5mvV5PErc8mhesgV4m1xNXvLd4Zk9yDEt0G/7Q4ZvQ+qxKmlskXgViq/M+wkBhNKPfIcsly462Dd
 i0LoijDHKR27wuO5YHnOAqqjYj+SsHkf4z57A4TRqLc/Vnla5HUpCyjXQyJR6Z12wJGwCWUWtYA4O
 RltgDg2m+Lkq0Ass9IaA==;
Received: from [87.69.77.57] (port=2865 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nzcNa-0000Dr-2G; Fri, 10 Jun 2022 07:00:38 -0400
Date: Fri, 10 Jun 2022 14:00:36 +0300
Message-Id: <83tu8szstn.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#13329: 24.2 post patch for #9521; Rmail forward does not
 correctly handle MIME messages containing "From " lines
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 13329
Cc: mdl@HIDDEN, 13329 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Here is your message, forwarded as MIME by Rmail (I just edited the
Subject, to avoid creating a new bug report).  Did you receive it
OK?


--=-=-=
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 8bit

From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Cc: mdl@HIDDEN,  13329 <at> debbugs.gnu.org
Subject: Re: bug#13329: 24.2 post patch for #9521; Rmail forward does not
 correctly handle MIME messages containing "From " lines
Date: Fri, 10 Jun 2022 11:24:27 +0200
MIME-Version: 1.0
Content-Type: text/plain

Eli Zaretskii <eliz@HIDDEN> writes:

> At this point I can only say that I'm forwarding email with MIME
> attachments quite a lot, and didn't spot any problems, although I
> admit there's not a lot of ">>...>From" in them.

Here's a message with a From line:

>From thing lala yes

If you can forward this as MIME in rmail, then I think the bug has been
fixed?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13329; Package emacs. Full text available.

Message received at 13329 <at> debbugs.gnu.org:


Received: (at 13329) by debbugs.gnu.org; 10 Jun 2022 09:24:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 10 05:24:39 2022
Received: from localhost ([127.0.0.1]:48739 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nzasg-0006k7-TW
	for submit <at> debbugs.gnu.org; Fri, 10 Jun 2022 05:24:39 -0400
Received: from quimby.gnus.org ([95.216.78.240]:60400)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nzasf-0006jt-W2
 for 13329 <at> debbugs.gnu.org; Fri, 10 Jun 2022 05:24:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=pTtenl0ARVciwUObjCg1CdE/cPsWe3eCi3e863kfI2E=; b=cYNsddarGhU5/4BtK1kr1jenb1
 5c9bAeUzLFK89JuayCBdm4ww5u43J8VahSPpmey3BN0xdrWATRnB79Ag3vj3akJySa8vXMBevdw+3
 EJccYlA9oQQJCrdOPbBzUeXjIl7GFud4fK3U6gmmzO4Zx5Sn3T+4ODbai4xRJnYrMFyY=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nzasW-0005hN-Vs; Fri, 10 Jun 2022 11:24:31 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#13329: 24.2 post patch for #9521; Rmail forward does not
 correctly handle MIME messages containing "From " lines
References: <87r4m4tucm.fsf@HIDDEN> <87czglin8i.fsf@HIDDEN>
 <87czfhzreo.fsf@HIDDEN> <83bkv111n6.fsf@HIDDEN>
X-Now-Playing: Liturgy's _Origin of the Alimonies_: "Apparition of the
 Eternal Church"
Date: Fri, 10 Jun 2022 11:24:27 +0200
In-Reply-To: <83bkv111n6.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 10 Jun
 2022 09:19:25 +0300")
Message-ID: <87a6akx450.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > At this point I can
 only say that I'm forwarding email with MIME > attachments quite a lot, and
 didn't spot any problems, although I > admit there's not a lot of ">>...>From"
 in them. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 13329
Cc: mdl@HIDDEN, 13329 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> At this point I can only say that I'm forwarding email with MIME
> attachments quite a lot, and didn't spot any problems, although I
> admit there's not a lot of ">>...>From" in them.

Here's a message with a From line:

From thing lala yes

If you can forward this as MIME in rmail, then I think the bug has been
fixed?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13329; Package emacs. Full text available.

Message received at 13329 <at> debbugs.gnu.org:


Received: (at 13329) by debbugs.gnu.org; 10 Jun 2022 06:19:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 10 02:19:35 2022
Received: from localhost ([127.0.0.1]:48486 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nzXzb-0005td-Cd
	for submit <at> debbugs.gnu.org; Fri, 10 Jun 2022 02:19:35 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35378)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nzXzZ-0005tL-SU
 for 13329 <at> debbugs.gnu.org; Fri, 10 Jun 2022 02:19:34 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48300)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nzXzT-0008Oy-T1; Fri, 10 Jun 2022 02:19:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=tuh8pvWtxLtZqa/4Y/oLMHKnfSWWDAgC+njbzeGoI1I=; b=fgz/vPsq6iay
 gNUiEprSs5ncpiVQ2za0r/LQ5JS8pZQKKg1Pc9iNo9/ZDqNnB4+3OF2al9WgdqQiDsTZjvlbbGay0
 EUMAJ07bxgm8cu9s1w7vqHEVlpr0FYs6fYeFq88xWYUBjjH87rRxoxFZIleryz6XJBGv//A5hXsFD
 ZwPbL53jb3DNI46k3ezMplvBh3A7RiUUnTnJipnK0gANXRk2mh9AWerWgCYam8/O+kn+bz7jevzms
 Zul2ylyu2E2Ku8UQOR6USKskRrs+g/exe2W9kpzYggXgcF4kO0JAPdGeclw38TmtVHUwQ2iGdpSL8
 bDSiyDKxjj+A4me/6CoWbw==;
Received: from [87.69.77.57] (port=1631 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nzXzT-0007Ky-6I; Fri, 10 Jun 2022 02:19:27 -0400
Date: Fri, 10 Jun 2022 09:19:25 +0300
Message-Id: <83bkv111n6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87czfhzreo.fsf@HIDDEN> (message from Lars Ingebrigtsen on Thu, 
 09 Jun 2022 19:18:55 +0200)
Subject: Re: bug#13329: 24.2 post patch for #9521; Rmail forward does not
 correctly handle MIME messages containing "From " lines
References: <87r4m4tucm.fsf@HIDDEN> <87czglin8i.fsf@HIDDEN>
 <87czfhzreo.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 13329
Cc: mdl@HIDDEN, 13329 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  13329 <at> debbugs.gnu.org
> Date: Thu, 09 Jun 2022 19:18:55 +0200
> 
> Lars Ingebrigtsen <larsi@HIDDEN> writes:
> 
> >>     If you forward a Rmail message containing a MIME message with "From "
> >> lines, the mbox escaping of From lines is not properly done.
> >
> > (I'm going through old bug reports that unfortunately weren't resolved
> > at the time.)
> >
> > I don't use rmail much myself, but I vaguely recall that there was a
> > similar bug report about this, and that this had been fixed at some
> > point.
> >
> > Perhaps Eli remembers; added to the CCs.
> 
> This was a month ago -- Eli, do you remember?

I don't remember, sorry.  I also didn't see anything pertinent in the
Git logs.

Moreover, upon re-reading the original report several times, I don't
think I understand what exactly is the bug: the original report is a
multipart message which is hard to parse.  It also shows what I think
is a single message, but says "The result should be 3 messages", which
left me utterly confused.

I'd prefer to have a description with 2 attachments: the original
message, and the forwarded message.  And the description should tell
in full what was expected to be seen, and why, preferably without
using ellipsis and hard-to-understand terminology such as "under
mboxrd".

Is it possible to get such a detailed report?  Then I could try the
messages here and see if there's still a problem left in our current
sources.

At this point I can only say that I'm forwarding email with MIME
attachments quite a lot, and didn't spot any problems, although I
admit there's not a lot of ">>...>From" in them.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13329; Package emacs. Full text available.

Message received at 13329 <at> debbugs.gnu.org:


Received: (at 13329) by debbugs.gnu.org; 9 Jun 2022 17:19:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 09 13:19:06 2022
Received: from localhost ([127.0.0.1]:47629 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nzLoI-0006Hw-G2
	for submit <at> debbugs.gnu.org; Thu, 09 Jun 2022 13:19:06 -0400
Received: from quimby.gnus.org ([95.216.78.240]:52262)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nzLoG-0006HO-Ut
 for 13329 <at> debbugs.gnu.org; Thu, 09 Jun 2022 13:19:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=BUYsLJC4nqVSuJrGsvL9mi6pfXBbg5IVXGrsUavbpy8=; b=i5FbUJh6QOS7395LxqBmquiXaZ
 17SX+QhmpacspDhJMWS4CVFw4aWf8FrFySgvV7EWDH988zdtFwngaf6tqQ8KtE72eE5M/BxAbn8PO
 I+6tXw2acofl/F/189VB/LUxAad4sMKfcQk2yTWQaT9NV030IaBY8a7FvfYtsXuOvCSA=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nzLo7-0003ME-WF; Thu, 09 Jun 2022 19:18:58 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Mark Lillibridge <mdl@HIDDEN>
Subject: Re: bug#13329: 24.2 post patch for #9521; Rmail forward does not
 correctly handle MIME messages containing "From " lines
References: <87r4m4tucm.fsf@HIDDEN> <87czglin8i.fsf@HIDDEN>
X-Now-Playing: Julie Tippetts & Martin Archer's _Illusion_: "Chances
 (Illusion Suite #1)"
Date: Thu, 09 Jun 2022 19:18:55 +0200
In-Reply-To: <87czglin8i.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 10 May 2022 14:30:21 +0200")
Message-ID: <87czfhzreo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: >> If you forward
 a Rmail message containing a MIME message with "From " >> lines, the mbox
 escaping of From lines is not properly done. > > (I'm going through old bug
 reports that unfortunately weren [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 13329
Cc: Eli Zaretskii <eliz@HIDDEN>, 13329 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>>     If you forward a Rmail message containing a MIME message with "From "
>> lines, the mbox escaping of From lines is not properly done.
>
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
>
> I don't use rmail much myself, but I vaguely recall that there was a
> similar bug report about this, and that this had been fixed at some
> point.
>
> Perhaps Eli remembers; added to the CCs.

This was a month ago -- Eli, do you remember?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13329; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 13329 <at> debbugs.gnu.org:


Received: (at 13329) by debbugs.gnu.org; 10 May 2022 12:30:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 10 08:30:31 2022
Received: from localhost ([127.0.0.1]:60580 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noP0Z-0006jG-Iq
	for submit <at> debbugs.gnu.org; Tue, 10 May 2022 08:30:31 -0400
Received: from quimby.gnus.org ([95.216.78.240]:54512)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1noP0Y-0006cX-Bh
 for 13329 <at> debbugs.gnu.org; Tue, 10 May 2022 08:30:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=8dZlohzEW3OxqEuY2k5kNQwP3RaKx4bYIKMJ4/uKJZ8=; b=IAR/oe9N0uV9kz6XBzciaklVNp
 Mzk83Knx0o3k9xPgkvglj2nxPFUdJO8fHGEGxRqBIyXk9Ie+XMAnnQzg7dpPoehB0Id/iZsphRZ8p
 8Ff5rXv5f0qhm11ezgA8EUgPdN/HoQZiuF40Qpj3FeljwBpjpuDyHy+wLdD/QaW7pUYc=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1noP0P-0003RD-Rh; Tue, 10 May 2022 14:30:24 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Mark Lillibridge <mdl@HIDDEN>
Subject: Re: bug#13329: 24.2 post patch for #9521; Rmail forward does not
 correctly handle MIME messages containing "From " lines
References: <87r4m4tucm.fsf@HIDDEN>
X-Now-Playing: Joni Mitchell's _The Hissing Of Summer Lawns_: "Sweet Bird"
Date: Tue, 10 May 2022 14:30:21 +0200
In-Reply-To: <87r4m4tucm.fsf@HIDDEN> (Mark Lillibridge's message
 of "Tue, 01 Jan 2013 14:24:25 -0800")
Message-ID: <87czglin8i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Mark Lillibridge <mdl@HIDDEN> writes: > If you forward
 a Rmail message containing a MIME message with "From " > lines, the mbox
 escaping of From lines is not properly done. (I'm going through old bug
 reports that unfortunately weren't resolved at the time.) 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 13329
Cc: Eli Zaretskii <eliz@HIDDEN>, 13329 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Mark Lillibridge <mdl@HIDDEN> writes:

>     If you forward a Rmail message containing a MIME message with "From "
> lines, the mbox escaping of From lines is not properly done.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I don't use rmail much myself, but I vaguely recall that there was a
similar bug report about this, and that this had been fixed at some
point.

Perhaps Eli remembers; added to the CCs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13329; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Jan 2013 22:26:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 01 17:26:08 2013
Received: from localhost ([127.0.0.1]:39415 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TqAHf-0003OE-CA
	for submit <at> debbugs.gnu.org; Tue, 01 Jan 2013 17:26:08 -0500
Received: from eggs.gnu.org ([208.118.235.92]:58782)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <prvs=471345af6e=mdl@HIDDEN>)
	id 1TqAHc-0003O7-ID
	for submit <at> debbugs.gnu.org; Tue, 01 Jan 2013 17:26:06 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <prvs=471345af6e=mdl@HIDDEN>)
	id 1TqAGH-0004t8-Ur
	for submit <at> debbugs.gnu.org; Tue, 01 Jan 2013 17:24:47 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.2 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_MED,
	T_RP_MATCHES_RCVD autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:57751)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <prvs=471345af6e=mdl@HIDDEN>)
	id 1TqAGH-0004t2-Rk
	for submit <at> debbugs.gnu.org; Tue, 01 Jan 2013 17:24:41 -0500
Received: from eggs.gnu.org ([208.118.235.92]:41894)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <prvs=471345af6e=mdl@HIDDEN>)
	id 1TqAGA-0006Ww-Oa
	for bug-gnu-emacs@HIDDEN; Tue, 01 Jan 2013 17:24:41 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <prvs=471345af6e=mdl@HIDDEN>)
	id 1TqAG6-0004ql-4x
	for bug-gnu-emacs@HIDDEN; Tue, 01 Jan 2013 17:24:34 -0500
Received: from alum-mailsec-scanner-6.mit.edu ([18.7.68.18]:64950)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <prvs=471345af6e=mdl@HIDDEN>)
	id 1TqAG5-0004pn-Va
	for bug-gnu-emacs@HIDDEN; Tue, 01 Jan 2013 17:24:30 -0500
X-AuditID: 12074412-b7f216d0000008e3-d6-50e3621d342e
Received: from outgoing-alum.mit.edu (OUTGOING-ALUM.MIT.EDU [18.7.68.33])
	by alum-mailsec-scanner-6.mit.edu (Symantec Messaging Gateway) with
	SMTP id 82.CA.02275.D1263E05; Tue,  1 Jan 2013 17:24:29 -0500 (EST)
Received: from foil.strangled.net (c-67-188-235-212.hsd1.ca.comcast.net
	[67.188.235.212]) (authenticated bits=0)
	(User authenticated as mdl@HIDDEN)
	by outgoing-alum.mit.edu (8.13.8/8.12.4) with ESMTP id r01MOQ3U006295
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES128-SHA bits=128 verify=NOT);
	Tue, 1 Jan 2013 17:24:28 -0500
From: Mark Lillibridge <mdl@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.2 post patch for #9521;
	Rmail forward does not correctly handle MIME messages containing
	"From " lines
Date: Tue, 01 Jan 2013 14:24:25 -0800
Message-ID: <87r4m4tucm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Brightmail-Tracker: H4sIAAAAAAAAA+NgFtrAKsWRmVeSWpSXmKPExsUixO6iqCub9DjA4H4fm8X3A1UWUz+eYXNg
	8vj7/gOTR9s0swCmKG6bpMSSsuDM9Dx9uwTujBUN+1kLekwrVs9bxdbAuEeni5GTQ0LARKKp
	6y0bhC0mceHeeiCbi0NI4DKjxOun26CcK0wSs/8tYQWpYhPQlJj+7Ds7iC0iICnx9U4rWFxY
	oEjiy7knYLaQgJTE0kUnwGpYBFQlfr9rZAKxeQX0Jf7NnsAIYQtKnJz5hAXEZgaKz57ezTqB
	kWcWktQsJCkIW0Li4IsXzBC2jMTmqZ2Msxg5gGxpieX/OCDC8hLNW2eDlTAIaEssfTcdylaR
	+PXoBIoxCxg5VzHKJeaU5urmJmbmFKcm6xYnJ+blpRbpmunlZpbopaaUbmKEhLXQDsb1J+UO
	MQpwMCrx8LbqPg4QYk0sK67MPcQoycGkJMp7LR4oxJeUn1KZkVicEV9UmpNafIhRgoNZSYS3
	+MujACHelMTKqtSifJiUNAeLkjjvz8XqfkIC6YklqdmpqQWpRTBZGQ4OJQlezkSgoYJFqemp
	FWmZOSUIaSYOTpDhXFIixal5KalFiaUlGfGgyI4vBsY2SIoHaK8vSDtvcUFiLlAUovUUozHH
	jz83njJy/Fp58ymjEEtefl6qlDivAEipAEhpRmke3CJYQnvFKA70tzAvA0gVDzAZws17BbSK
	CWiVFsMDkFUliQgpqQbGovNhzfs/8V5//Y77SfqkB5JPZLXaDj/af/gEb8aF0z75T/Q9lnK/
	mX9/T9fM2/qTzp4sOlXMtMbQ6cIbZrHyx9ZKzorJJ8R+C/3JvnSA88KKb0t18mKC/NI2ij3P
	1UizctaRnP2mTtZ7u6Lzg8pN6psXVv8wcus455o6ZdEdlVN7bKTM5t9XUWIpzkg01GIuKk4E
	AHOUEAJDAwAA
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -6.2 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: mdl@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.2 (------)

--=-=-=
Content-Type: text/plain


[|'s added to quote From lines]

    If you forward a Rmail message containing a MIME message with "From "
lines, the mbox escaping of From lines is not properly done.


    Start emacs -q then evaluate the 9521 patch:

(require 'rmailmm)

(defun rmail-insert-mime-forwarded-message (forward-buffer)
  "Insert the message in FORWARD-BUFFER as a forwarded message.
This is the usual value of `rmail-insert-mime-forwarded-message-function'."
  (let ((message-buffer
	 (with-current-buffer forward-buffer
	   (if rmail-buffer-swapped
	       rmail-view-buffer
	     forward-buffer))))
    (save-restriction
      (narrow-to-region (point) (point))
      (message-forward-make-body-mime message-buffer))))


    Then run Rmail on the following mbox file (remove |'s at line start
first):

|From mdl  Wed Oct 26 10:18:58 2011
|X-RMAIL-ATTRIBUTES: --EF----
|X-RMAIL-KEYWORDS: *
|X-Spam-Status: No, score=-4.7 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_MED,
|	RP_MATCHES_RCVD autolearn=unavailable version=3.3.1
|From: Mark Lillibridge <mark.lillibridge <at> hp.com>
|To: <bug-gnu-emacs <at> gnu.org>
|Subject: 23.3; rmail-edit-current-message adds extra '>'s to Froms...
|Date: Sat, 22 Oct 2011 12:05:57 -0700
|Reply-To: <mark.lillibridge <at> hp.com>
|
|
|Start with a Rmail message (this one will do) not containing MIME that
|contains lines like the following:
|
|>From level 1
|>>From level 2
|>>>From level 3
|
|From mdl  Tue Jan  1 12:27:17 2013
|Delivered-To: lillibridge <at> gmail.com
|Received: from gmail-pop.l.google.com [74.125.25.108]
|	by foil.strangled.net with POP3 (fetchmail-6.3.18)
|	for <mdl <at> localhost> (single-drop); Tue, 01 Jan 2013 12:27:17 -0800 (PST)
|Received: by 10.49.49.9 with SMTP id q9csp680843qen;
|        Tue, 1 Jan 2013 12:27:08 -0800 (PST)
|X-Received: by 10.52.69.201 with SMTP id g9mr59443696vdu.98.1357072028236;
|        Tue, 01 Jan 2013 12:27:08 -0800 (PST)
|Return-Path: <mark.lillibridge <at> hp.com>
|Received: from alum-mailsec-relay-12.mit.edu (ALUM-MAILSEC-RELAY-12.MIT.EDU. [18.7.68.32])
|        by mx.google.com with ESMTPS id o8si46143160vdv.77.2013.01.01.12.27.08
|        (version=TLSv1/SSLv3 cipher=OTHER);
|        Tue, 01 Jan 2013 12:27:08 -0800 (PST)
|Received: from alum-mailsec-scanner-7.mit.edu (ALUM-MAILSEC-SCANNER-7.MIT.EDU [18.7.68.19])
|	by alum-mailsec-relay-12.mit.edu (8.13.8/8.12.8) with ESMTP id r01KR7kv027035
|	for <mdl <at> alum.mit.edu>; Tue, 1 Jan 2013 15:27:07 -0500
|Received: from madara.hpl.hp.com (madara.hpl.hp.com [192.6.19.124])
|	by alum-mailsec-scanner-7.mit.edu (Symantec Messaging Gateway) with SMTP id A5.53.02235.B9643E05; Tue,  1 Jan 2013 15:27:07 -0500 (EST)
|Received: from postal.hpl.hp.com (postal.hpl.hp.com [15.25.115.25])
|	by madara.hpl.hp.com (8.14.4/8.14.4/HPL-PA Relay) with ESMTP id r01KR5Ae021394
|	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT)
|	for <mdl <at> alum.mit.edu>; Tue, 1 Jan 2013 12:27:06 -0800
|Received: from build-debian-1.u.hpl.hp.com (build-debian-1.u.hpl.hp.com [15.8.240.3])
|	by postal.hpl.hp.com (8.14.3/8.14.3/HPL-PA Hub) with ESMTP id r01KR4Df022085;
|	Tue, 1 Jan 2013 12:27:04 -0800
|From: Mark Lillibridge <mark.lillibridge <at> hp.com>
|To: mdl <at> alum.mit.edu
|Subject: test message containing From's in an attachment
|Reply-to: mark.lillibridge <at> hp.com
|Date: Tue, 01 Jan 2013 12:27:04 -0800
|Message-ID: <qmhip7gmyxz.fsf <at> build-debian-1.u.hpl.hp.com>
|MIME-Version: 1.0
|Content-Type: text/plain
|Content-Disposition: attachment; filename=froms.txt
|X-RMAIL-ATTRIBUTES: ------U-
|
|>From level 1
|>>From level 2
|>>>From level 3
|
|From mdl  Tue Jan  1 13:04:30 2013
|Delivered-To: lillibridge <at> gmail.com
|Received: from gmail-pop.l.google.com [74.125.25.108]
|	by foil.strangled.net with POP3 (fetchmail-6.3.18)
|	for <mdl <at> localhost> (single-drop); Tue, 01 Jan 2013 13:04:30 -0800 (PST)
|Received: by 10.49.49.9 with SMTP id q9csp681694qen;
|        Tue, 1 Jan 2013 13:04:13 -0800 (PST)
|X-Received: by 10.52.75.100 with SMTP id b4mr59369212vdw.52.1357074253041;
|        Tue, 01 Jan 2013 13:04:13 -0800 (PST)
|Return-Path: <mark.lillibridge <at> hp.com>
|Received: from alum-mailsec-relay-12.mit.edu (ALUM-MAILSEC-RELAY-12.MIT.EDU. [18.7.68.32])
|        by mx.google.com with ESMTPS id u1si24918746vdh.137.2013.01.01.13.04.12
|        (version=TLSv1/SSLv3 cipher=OTHER);
|        Tue, 01 Jan 2013 13:04:13 -0800 (PST)
|Received: from alum-mailsec-scanner-3.mit.edu (ALUM-MAILSEC-SCANNER-3.MIT.EDU [18.7.68.14])
|	by alum-mailsec-relay-12.mit.edu (8.13.8/8.12.8) with ESMTP id r01L47Pu030367
|	for <mdl <at> alum.mit.edu>; Tue, 1 Jan 2013 16:04:12 -0500
|Authentication-Results: symauth.service.identifier
|Received: from madara.hpl.hp.com (madara.hpl.hp.com [192.6.19.124])
|	by alum-mailsec-scanner-3.mit.edu (Symantec Messaging Gateway) with SMTP id E2.ED.02222.B4F43E05; Tue,  1 Jan 2013 16:04:12 -0500 (EST)
|Received: from masterns.hpl.hp.com (masterns.hpl.hp.com [15.0.48.4])
|	by madara.hpl.hp.com (8.14.4/8.14.4/HPL-PA Relay) with ESMTP id r01L4Auq022776
|	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT)
|	for <mdl <at> alum.mit.edu>; Tue, 1 Jan 2013 13:04:10 -0800
|Received: from build-debian-1.u.hpl.hp.com (build-debian-1.u.hpl.hp.com [15.8.240.3])
|	by masterns.hpl.hp.com (8.14.3/8.14.3/HPL-PA Hub) with ESMTP id r01L47j3018514;
|	Tue, 1 Jan 2013 13:04:08 -0800
|From: Mark Lillibridge <mark.lillibridge <at> hp.com>
|To: mdl <at> alum.mit.edu
|Subject: test message containing From's in an attachment
|Reply-to: mark.lillibridge <at> hp.com
|Date: Tue, 01 Jan 2013 13:04:07 -0800
|Message-ID: <qmhhan0mx88.fsf <at> build-debian-1.u.hpl.hp.com>
|MIME-Version: 1.0
|Content-Type: multipart/mixed; boundary="=-=-="
|X-RMAIL-ATTRIBUTES: --------
|
|--=-=-=
|Content-Type: text/plain
|
|
|body part
|
|
|--=-=-=
|Content-Type: text/plain
|Content-Disposition: attachment; filename=froms.txt
|
|>From level 1
|>>From level 2
|>>>From level 3
|
|--=-=-=--
|

    The result should be 3 messages.  If you forward any of the
messages, you'll see that the resulting message has the form:

|To: 
|...
|
|
--=-=-=
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 8bit

|X-From-Line: mdl  Tue Jan  1 13:04:30 2013
|Delivered-To: lillibridge@HIDDEN

|>From level 1
|>>From level 2
|>>>From level 3
|...
|
--=-=-=
Content-Type: text/plain


Note that the From lines should be under mboxrd:

|From level 1
|>From level 2
|>>From level 3


    See #13328 for related discussion of properly decoding From lines in
MIME messages.

- Mark

--=-=-=--




Acknowledgement sent to mdl@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#13329; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 10 Jun 2022 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.